MercadoLibre Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/mercadolibre-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/mercadolibre-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1620172800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://s3.amazonaws.com/sec.irpass.cc/2831/0001099590-24-000017.htm",
    "holding_balance": 412.7,
    "holding_net_change": 412.7,
    "transaction_value_usd": 6000000.0,
    "average_entry_value_usd": 14538.41,
    "transaction_value_calculated": false
  },
  {
    "date": 1743379200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1099590/000109959025000028/meli-20250331.htm",
    "holding_balance": 570.4,
    "holding_net_change": 157.7,
    "transaction_value_usd": 16000000.0,
    "average_entry_value_usd": 101458.47,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/mercadolibre-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782950400000,
    570.4
  ],
  [
    1783036800000,
    570.4
  ],
  [
    1783123200000,
    570.4
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/mercadolibre-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782950400000,
    35072658.232
  ],
  [
    1783036800000,
    35664824.695999995
  ],
  [
    1783123200000,
    35984448.336
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/mercadolibre-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 22200.0,
    "date": "2026-07-01",
    "high": 23180.0,
    "open": 22210.0,
    "close": 22750.0,
    "volume": 332235
  },
  {
    "low": 22780.0,
    "date": "2026-07-02",
    "high": 23310.0,
    "open": 22780.0,
    "close": 23190.0,
    "volume": 263961
  },
  {
    "low": 23000.0,
    "date": "2026-07-03",
    "high": 23580.0,
    "open": 23250.0,
    "close": 23130.0,
    "volume": 54542
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/mercadolibre-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": -0.156,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/mercadolibre-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 13.11,
  "six_month_return": -9.51,
  "three_month_return": 7.48
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/mercadolibre-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.003,
  "share_price_change_state": "up"
}